> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get Hourly Report Root Presets

GET https://api.letsdeel.com/rest/timesheets/root-presets

Returns a cursor-paginated list of hourly report root presets, with optional filtering by work_statement_statuses and result ordering.

 **Token scopes**: `timesheets:read`

Reference: https://developer.deel.com/api/reference/endpoints/projects/get-hourly-report-root-presets-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `limit` (integer, optional, default: 10) — Maximum number of items to return per page (max: 100)
- `order_by` (enum, optional, default: created_at) — Field to order the results by
  - Allowed values: `created_at`
- `order_direction` (enum, optional, default: DESC) — Direction to order the results (ascending or descending)
  - Allowed values: `ASC`, `DESC`
- `work_statement_statuses` (list of string, optional, default: ["ACTIVE","PENDING","INITIAL"]) — Filter results by work statement status
- `cursor` (string, optional) — Pagination cursor for fetching the next page of results

## Response

### 200

Successful operation.

- `data` (list of TimesheetsRootPresetsGetResponsesContentApplicationJsonSchemaDataItems, required)
- `page` (TimesheetsRootPresetsGetResponsesContentApplicationJsonSchemaPage, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (string, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### TimesheetsRootPresetsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — The unique identifier of the hourly report root preset
- `title` (string, required) — The title of the hourly report root preset
- `description` (string, required) — Detailed description of the hourly report root preset
- `contracts_count` (integer, required) — Number of contracts using this root preset
- `hourly_report_presets_count` (integer, required) — Number of hourly report presets created from this root preset
- `file` (TimesheetsRootPresetsGetResponsesContentApplicationJsonSchemaDataItemsFile, optional, nullable)
- `type` (enum, optional) — The type of preset, RATE – indicates a preset that overrides the default contract rate, TRACKING - used exclusively for tracking, applying the default contract rate
  - Allowed values: `RATE`, `TRACKING`

### TimesheetsRootPresetsGetResponsesContentApplicationJsonSchemaPage

- `cursor` (string, required) — Pagination cursor for fetching the next set of results
- `total_rows` (integer, required) — Total number of root presets available

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### TimesheetsRootPresetsGetResponsesContentApplicationJsonSchemaDataItemsFile

- `id` (string, optional) — The unique identifier of the file
- `name` (string, optional) — The name of the file
- `type` (string, optional) — The type of the file

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "title": "Standard Monthly Template",
      "description": "Base template for monthly timesheet reporting",
      "contracts_count": 5,
      "hourly_report_presets_count": 12,
      "file": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "your_file_name",
        "type": "pdf"
      },
      "type": "RATE"
    }
  ],
  "page": {
    "cursor": "next_page_token_123",
    "total_rows": 100
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/timesheets/root-presets"

querystring = {"cursor":"next_page_token_123","limit":"20","order_by":"created_at","order_direction":"DESC","work_statement_statuses":"[\"ACTIVE\",\"PENDING\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/timesheets/root-presets?cursor=next_page_token_123&limit=20&order_by=created_at&order_direction=DESC&work_statement_statuses=%5B%22ACTIVE%22%2C%22PENDING%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/timesheets/root-presets?cursor=next_page_token_123&limit=20&order_by=created_at&order_direction=DESC&work_statement_statuses=%5B%22ACTIVE%22%2C%22PENDING%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/timesheets/root-presets?cursor=next_page_token_123&limit=20&order_by=created_at&order_direction=DESC&work_statement_statuses=%5B%22ACTIVE%22%2C%22PENDING%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/timesheets/root-presets?cursor=next_page_token_123&limit=20&order_by=created_at&order_direction=DESC&work_statement_statuses=%5B%22ACTIVE%22%2C%22PENDING%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/timesheets/root-presets?cursor=next_page_token_123&limit=20&order_by=created_at&order_direction=DESC&work_statement_statuses=%5B%22ACTIVE%22%2C%22PENDING%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/timesheets/root-presets?cursor=next_page_token_123&limit=20&order_by=created_at&order_direction=DESC&work_statement_statuses=%5B%22ACTIVE%22%2C%22PENDING%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/timesheets/root-presets?cursor=next_page_token_123&limit=20&order_by=created_at&order_direction=DESC&work_statement_statuses=%5B%22ACTIVE%22%2C%22PENDING%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```